all lists on lists.proxmox.com
 help / color / mirror / Atom feed
From: Stoiko Ivanov <s.ivanov@proxmox.com>
To: pmg-devel@lists.proxmox.com
Subject: [PATCH pmg-api v2 1/2] d/postinst: ensure that clamav-daemon is enabled
Date: Tue,  9 Jun 2026 12:45:19 +0200	[thread overview]
Message-ID: <20260609104559.1697131-2-s.ivanov@proxmox.com> (raw)
In-Reply-To: <20260609104559.1697131-1-s.ivanov@proxmox.com>

Similar to:
 cb8e149 ("d/postinst: ensure that clamav-freshclam is enabled")

We recently packaged the version currently in debian testing, which
explicitly installs clamav-daemon, without enabling it,
while debian-upstream's experimental branch does enable it.

As there is quite a bit of back and forth - simply enable the service
unconditionally.

We might look into making it possible to keep clamav disabled (e.g. if
users are relying on avast only, or have a custom_check_script which
handles virus checking) - but that can be done independently.

Signed-off-by: Stoiko Ivanov <s.ivanov@proxmox.com>
---
 debian/postinst | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/debian/postinst b/debian/postinst
index c7e05e7..ee218ab 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -145,6 +145,11 @@ case "$1" in
             deb-systemd-invoke enable clamav-freshclam.service >/dev/null 2>&1 || true
         fi
 
+        if ! systemctl --quiet is-enabled clamav-daemon.service ; then
+            echo "Enabling clamav-daemon as antivirus"
+            deb-systemd-invoke enable clamav-daemon.service >/dev/null 2>&1 || true
+        fi
+
         if test -n "$2" && dpkg --compare-versions "$2" 'lt' '8.2.0'; then
             old_score_location=/var/cache/pmg-scores.cf
             new_score_location=/etc/mail/spamassassin/pmg-scores.cf.new
-- 
2.47.3





  reply	other threads:[~2026-06-09 10:46 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-06-09 10:45 [PATCH installer/pmg-api v2 0/2] ensure clamav-daemon is enabled Stoiko Ivanov
2026-06-09 10:45 ` Stoiko Ivanov [this message]
2026-06-09 10:45 ` [PATCH installer v2 2/2] pmg: " Stoiko Ivanov
2026-06-09 12:06 ` applied: [PATCH installer/pmg-api v2 0/2] " Thomas Lamprecht

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260609104559.1697131-2-s.ivanov@proxmox.com \
    --to=s.ivanov@proxmox.com \
    --cc=pmg-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal